# Class pyglet.media.StaticMemorySource

      Source --+
               |
    StaticSource --+
                   |
                  StaticMemorySource

Helper class for default implementation of StaticSource. Do not use directly.

## Methods

| __init__(self, data, audio_format) Construct a memory source over the given data buffer.
pyglet.image.Animation | get_animation(self) Import all video frames into memory as an Animation. (Inherited from pyglet.media.Source)
pyglet.image.AbstractImage | get_next_video_frame(self) Get the next video frame. (Inherited from pyglet.media.Source)
float | get_next_video_timestamp(self) Get the timestamp of the next video frame. (Inherited from pyglet.media.Source)
ManagedSoundPlayer | play(self) Play the source. (Inherited from pyglet.media.Source)

## Properties

float | duration The length of the source, in seconds. (Inherited from pyglet.media.Source)

## Instance Variables

AudioFormat | audio_format = `None` Format of the audio in this source, or None if the source is silent. (Inherited from pyglet.media.Source)
VideoFormat | video_format = `None` Format of the video in this source, or None if there is no video. (Inherited from pyglet.media.Source)

## Method Details

### __init__

(Constructor) __init__(self, data, audio_format)
Construct a memory source over the given data buffer.

Overrides:
  StaticSource.__init__